#include<iostream>
using namespace std;
long long arr[100000],lokalenmax[50000];
int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
    cout.tie(nullptr);
    unsigned long long int n,br=0,minrazstoqnie;
    cin>>n;
    for(int i=0; i<n; i++)
    {
        cin>>arr[i];
    }
    for(int i=1; arr[i-1]!=0; i++)
    {
        if(arr[i]>arr[i-1] and arr[i]>arr[i+1])
        {
            lokalenmax[br]=i;
            br++;
        }
    }
    minrazstoqnie=lokalenmax[1]-lokalenmax[0];
    for(int i=2; i<=br; i++)
    {
        if(lokalenmax[i]-lokalenmax[i-1]<minrazstoqnie) minrazstoqnie=lokalenmax[i]-lokalenmax[i-1];
    }
    if(br<2) cout<<0<<endl;
    else cout<<minrazstoqnie-1<<endl;
    return 0;
}

